> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimaxi.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 文件列出

> 使用本接口，列出不同分类下的文件。



## OpenAPI

````yaml /api-reference/file/management/api/openapi.json GET /v1/files/list
openapi: 3.1.0
info:
  title: MiniMax File Management API
  description: >-
    MiniMax file management API for uploading, retrieving, listing, and deleting
    files
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimaxi.com
security:
  - bearerAuth: []
paths:
  /v1/files/list:
    get:
      tags:
        - Files
      summary: List Files
      operationId: listFiles
      parameters:
        - name: purpose
          in: query
          required: true
          description: |-
            列出文件分类。取值及支持格式如下：

            1. __voice_clone__: 快速复刻原始文件
            2. __prompt_audio__: 音色复刻的示例音频
            3. __t2a_async__: 异步长文本语音生成合成中音频
          schema:
            type: string
            enum:
              - voice_clone
              - prompt_audio
              - t2a_async_input
            example: t2a_async_input
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFileResp'
components:
  schemas:
    ListFileResp:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileObject'
          description: List of files
        base_resp:
          $ref: '#/components/schemas/ListRetrieveDeleteFileBaseResp'
      example:
        files:
          - file_id: ${file_id}
            bytes: 5896337
            created_at: 1699964873
            filename: 297990555456011.tar
            purpose: t2a_async_input
          - file_id: ${file_id}
            bytes: 5896337
            created_at: 1700469398
            filename: 297990555456911.tar
            purpose: t2a_async_input
        base_resp:
          status_code: 0
          status_msg: success
    FileObject:
      type: object
      properties:
        file_id:
          type: integer
          format: int64
          description: 文件的唯一标识符
        bytes:
          type: integer
          format: int64
          description: 文件大小，以字节为单位
        created_at:
          type: integer
          format: int64
          description: 创建文件时的 Unix 时间戳，以秒为单位
        filename:
          type: string
          description: 文件的名称
        purpose:
          type: string
          description: 文件的使用目的
    ListRetrieveDeleteFileBaseResp:
      type: object
      properties:
        status_code:
          type: integer
          description: |-
            状态码如下：
            - 1000, 未知错误
            - 1001, 超时
            - 1002, 触发RPM限流
            - 1004, 鉴权失败
            - 1008, 余额不足
            - 1013, 服务内部错误
            - 1026, 输入内容错误
            - 1027, 输出内容错误
            - 1039, 触发TPM限流
            - 2013, 输入格式信息不正常

            更多内容可查看[错误码查询列表](/api-reference/errorcode)了解详情
        status_msg:
          type: string
          description: 状态详情
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        `HTTP: Bearer Auth`
         - Security Scheme Type: http
         - HTTP Authorization Scheme: Bearer API_key，用于验证账户信息，可在 [账户管理>接口密钥](https://platform.minimaxi.com/user-center/basic-information/interface-key) 中查看。

````